Package org.eclipse.net4j.util.io

# Class EmptyInputStream

java.lang.Object
java.io.InputStream
org.eclipse.net4j.util.io.EmptyInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class EmptyInputStream extends InputStream

Since:
  3.14
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`EmptyInputStream()`

## Method Summary

Modifier and Type
Method
Description
`int`
`read()`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyInputStream

public EmptyInputStream()

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`